#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	phpab --output src/autoload.php src
	mkdir --parents SebastianBergmann vendor
	phpabtpl \
		--require-file ../src/autoload.php \
		--require-file ../tests/_fixture/callback_function.php \
		--require-file ../tests/_fixture/functions_that_declare_return_types.php \
		> debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests/_fixture/

override_dh_auto_test:
	phpunit --bootstrap=vendor/autoload.php
